function setupTemplates(){
    
    Template7.registerHelper("ftimestamp",function(timestamp,options){
	    var date = new Date(timestamp * 1000)
	    return date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + date.getDate() + " " + date.getHours() + ":" + date.getMinutes()
    })
    Template7.registerHelper("avatar",function(avatar,options){
	    if(avatar != undefined && avatar != ""){
		    return avatar
	    }
	    return "img/me/default_portrait.png"
    })
    window.templates = {}
    window.templates.comment = Template7(document.getElementById("comment-template").innerHTML).compile()
}
function setupUpUserEvents(){
	$(".upvote").click(function(){
		var commentId = parseInt($(this).attr("comment-id"))
		var type = parseInt($(this).attr("type"))
		var upvoteCount = parseInt($(this).children("span").text())
		var action = type
		var newtype = (action == 0 ? 1:0)
		var element = $(this)
		dj.postWithCallback("upVoteNote",{commentId:commentId,action:newtype},function(para){
			var newUpvoteCount = (newtype == 1 ? upvoteCount + 1 : upvoteCount - 1)
			element.attr("type",newtype)
			element.children("span").text("" + newUpvoteCount)
			element.first().children("img").attr("src","img/comment/comment_upvote_"+newtype+".png")
		})
	})
	$(".userphoto-container").click(function(){
		var userid = parseInt($(this).attr("user-id"))
		window.dj.post("showUserHomeView",{userid:userid})
	})
	$(".comment-content img").click(function(){
		var node = $(this).get(0)
		window.dj.post("previewImage",{
            list:[node.src],
            index:0
		})
	})
}

function loadCommentDetail(para){
	window.para = para
	window.para.comment.user.level = Math.max(window.para.comment.user.level,1)
    document.getElementById("comment-container").innerHTML = window.templates.comment(para)
    setupUpUserEvents()
}
$(document).ready(function() {
    setupTemplates()
    window.dj.post("pageLoadComplete",{})
});